Subject: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Jim Porter <[email-masked]>
Date: Fri, 16 Sep 2022 08:21:23 -0700

On 9/16/2022 7:18 AM, Robert Pluim wrote:
> There are also quoting and conversion issues to think about, eg:
> 
> emacs --function foo hello 3 indent-tabs-mode 'always
> 
> Do we make people say
> 
> "hello" if they want strings, which implies that indent-tabs-mode
> would be treated as a variable, 3 as a number, and the ' needs to be
> escaped somehow?

Hopefully not, since one of the goals here is to be able to accept 
arbitrary strings from other programs (e.g. your mailto: handler). If we 
required strings to look "like this", then it becomes much more 
difficult to ensure that internal quotation marks are properly escaped.

Instead, I think the arguments passed this way should always be strings. 
If you need something fancier, --eval can step in. (Of course, a 
function called with --function can convert its arguments however it likes.)